CakePHP-Fr.Org

Forum francophone du Framework CakePHP

Vous n'êtes pas identifié.

#1 07-03-2017 20:36:11

Biogelix
Chouquette
Date d'inscription: 07-03-2017
Messages: 4

Problème avec les Controller PHP (AppController)

Bonjour à tous smile

Je souhaite débuter à programmer en MVC j'ai choisi CakePHP pour débuter. Seulement voilà dès la première étape je rencontre un problème, je vous explique :

J'ai créer un fichier "PostsController.php" dans le dossier Controller, dans ce dernier j'ai écris le code qui suit :

Code: php

  1. <?php
  2. class PostsController extends AppController
  3. {
  4.   public function index()
  5.   {
  6.     echo "Salut";
  7.   }
  8. }
  9.  ?>

Seulement dès que je vais à cette URL : localhost/CakePHP/posts/   la page me renvoi cette erreur :

https://i.gyazo.com/d7a51bf517a7f471f556f6873bec6694.png

Pourtant j'ai bel et bien le fichier "AppController.php" dans mon dossier controller hmm

Je vous remercie d'avance pour votre aide,

Biogelix

Dernière modification par Biogelix (07-03-2017 20:37:51)

Hors ligne

 

#2 08-03-2017 15:06:38

Biogelix
Chouquette
Date d'inscription: 07-03-2017
Messages: 4

Re: Problème avec les Controller PHP (AppController)

Up ?big_smile

Hors ligne

 

#3 12-03-2017 11:36:25

cake17
Cooker
Date d'inscription: 29-03-2012
Messages: 381
Site web

Re: Problème avec les Controller PHP (AppController)

Bonjour,

Tu as installé la version 2 ?
Je peux te conseiller de commencer par la 3 qui est la version la plus récente.

Pour ton erreur, tu utilises wamp, ou xamp ? comment est installé php et quelle version ?
Peut être ce chapitre pourra t'aider https://book.cakephp.org/2.0/fr/install … iting.html

Hors ligne

 

#4 14-03-2017 19:31:04

Biogelix
Chouquette
Date d'inscription: 07-03-2017
Messages: 4

Re: Problème avec les Controller PHP (AppController)

cake17 a écrit:

Bonjour,

Tu as installé la version 2 ?
Je peux te conseiller de commencer par la 3 qui est la version la plus récente.

Pour ton erreur, tu utilises wamp, ou xamp ? comment est installé php et quelle version ?
Peut être ce chapitre pourra t'aider https://book.cakephp.org/2.0/fr/install … iting.html

Salut Cake17! je te remercie pour ta réponse,

Actuellement je suis sur CakePHP 3.4

J'utilise Wamp, la version de PHP que j'utilise est la suivante : 5.6.25

Encore merci pour ton aide @cake17 !

Hors ligne

 

#5 17-03-2017 20:41:33

cake17
Cooker
Date d'inscription: 29-03-2012
Messages: 381
Site web

Re: Problème avec les Controller PHP (AppController)

Je te réponds ici dans le forum, je n'ai pas trop le temps pour t'aider autrement.

Le controller Posts est défini par défaut dans les routes, as tu retiré la route concernant les posts dans https://github.com/cakephp/app/blob/mas … es.php#L57 ?

Sinon tu as installé CakePHP avec composer ?

Hors ligne

 

Pied de page des forums

Propulsé par FluxBB
Traduction par FluxBB.fr